## org.eclipse.emf.cdo.common.id
Interface CDOID

All Superinterfaces:
  java.lang.Comparable<CDOID>, java.io.Serializable

All Known Subinterfaces:
  CDOIDExternal, CDOIDHibernate, CDOIDMeta, CDOIDObject, CDOIDTemp, CDOIDTempMeta

All Known Implementing Classes:
  AbstractCDOID, AbstractCDOIDInteger, AbstractCDOIDLong, CDOIDLongImpl

    public interface CDOID

extends java.io.Serializable, java.lang.Comparable<CDOID>

Nested Class Summary
`static class` `CDOID.Type`

Field Summary
`static CDOID` `NULL`

Method Summary
`CDOID.Type` `getType()`
`boolean` `isExternal()`
`boolean` `isMeta()`
`boolean` `isNull()`
`boolean` `isObject()`
`boolean` `isTemporary()`
`java.lang.String` `toURIFragment()`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### NULL

    static final CDOID NULL

Method Detail

### getType

    CDOID.Type getType()

### isNull

    boolean isNull()

### isObject

    boolean isObject()

### isMeta

    boolean isMeta()

### isTemporary

    boolean isTemporary()

### isExternal

    boolean isExternal()

  Since:
    2.0

### toURIFragment

    java.lang.String toURIFragment()

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.